### Signal

# Ide Context::log

#### Declaration

    void
    log (
      IdeContext* self,
      guint severity,
      gchar* domain,
      gchar* message,
      gpointer user_data
    )

#### Description

This signal is emitted when a log item has been added for the context.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`severity` | `guint`
| The log severity.
`domain` | `gchar*`
| The log domain.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`message` | `gchar*`
| The log message.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.